All Data Structures Files Functions Variables Typedefs Macros Groups Pages
glfw3native.h File Reference

Go to the source code of this file.

## Functions

HWND | glfwGetWin32Window (GLFWwindow *window)
| Returns the `HWND` of the specified window. More...
HGLRC | glfwGetWGLContext (GLFWwindow *window)
| Returns the `HGLRC` of the specified window. More...
id | glfwGetCocoaWindow (GLFWwindow *window)
| Returns the `NSWindow` of the specified window. More...
id | glfwGetNSGLContext (GLFWwindow *window)
| Returns the `NSOpenGLContext` of the specified window. More...
Display * | glfwGetX11Display (void)
| Returns the `Display` used by GLFW. More...
Window | glfwGetX11Window (GLFWwindow *window)
| Returns the `Window` of the specified window. More...
GLXContext | glfwGetGLXContext (GLFWwindow *window)
| Returns the `GLXContext` of the specified window. More...
EGLDisplay | glfwGetEGLDisplay (void)
| Returns the `EGLDisplay` used by GLFW. More...
EGLContext | glfwGetEGLContext (GLFWwindow *window)
| Returns the `EGLContext` of the specified window. More...
EGLSurface | glfwGetEGLSurface (GLFWwindow *window)
| Returns the `EGLSurface` of the specified window. More...